Limerence
Discord

Connect Discord

Connect a Discord guild to the current team

POST
/discord/connect

Connect a Discord guild to the current team

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/discord/connect" \  -H "Content-Type: application/json" \  -d '{    "agentId": "string",    "applicationId": "string",    "botToken": "string",    "guildId": "string",    "publicKey": "string"  }'
{  "success": true,  "workspace": {    "agentId": "string",    "applicationId": "string",    "guildId": "string",    "id": "string"  }}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "discord/already-connected",    "detail": "A Discord guild is already connected to this team. Disconnect it first."  },  "message": "Discord workspace already connected"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}